# The Veloren Code of Conduct

**Contact**: `@Admin` or `@Core developers` on discord or [info@veloren.net](mailto:info@veloren.net)

## Conduct

- We are committed to providing a friendly, safe and welcoming environment for
  all, regardless of level of experience, gender identity and expression, sexual
  orientation, disability, personal appearance, body size, race, ethnicity, age,
  religion, nationality, or other similar characteristics.
- Please be kind and courteous. There's no need to be rude.
- We will exclude you from interaction if you insult, demean or harass anyone.
  That is not welcome behavior; we strive to be inclusive. In particular, we
  don't tolerate behavior that excludes people in socially marginalized groups.
- If you feel you are being harassed, or someone else's actions have made you
  uncomfortable, please **contact** us.
  Whether you're a regular contributor or a newcomer, we care about making this 
  community a safe place for you and we've got your back. If the offender was 
  an admin or core developer, use [report@veloren.net](mailto:report@veloren.net).
  Emails send to this address will be forwarded only to one person appointed to
  handle those issues.
- Respect that people have differing opinions and that every design or
  implementation choice carries a trade-offs. There is seldom one right answer.
- Please keep unstructured critique to a minimum. If you have solid ideas you
  want to experiment with, make a branch and see how it works.
- This community exists to focus on Veloren, keep off-topic content to the 
  respective channels.

## Moderation

These are the policies for upholding our community's standards of conduct. If
you feel that a discussion needs moderation, please **contact** us.

1. Any remarks that violate the Veloren standards of conduct, are not allowed
   and will result in a ban.
2. Remarks that moderators find inappropriate, whether listed in the code of
   conduct or not, are also not allowed.
   In this case moderators will respond with a warning, kick, ban scheme if
   the user continues to make trouble.
3. Moderators may choose at their discretion to un-ban the user if it was a
   first offence, and they offer the offended party a genuine apology.
4. If a moderator bans someone, and you think it was unjustified, please take it
   up with that moderator, or with a different moderator, **in private**.
   Complaints about bans are not allowed on our public channels.
5. Moderators, organization members, and anyone closely involved with the
   Veloren project are held to a higher standard than other community members.
   If a moderator creates an inappropriate situation, they should expect less
   leeway than others.

In the Veloren community we strive to go the extra step to look out for each
other. Don't just aim to be technically unimpeachable, try to be your best self.
Be careful when you speak about offensive or sensitive issues, particularly
if they're off-topic; this all too often leads to unnecessary fights, hurt
feelings, and damaged trust; worse, it can drive people away from the community
entirely.

If you have been called out for violating this code, resist the urge to be
defensive. Just stop doing what it was they complained about and apologize. Even
if you feel you were misinterpreted or unfairly accused, chances are good there
was something you could've communicated better — remember that it's your
responsibility to make your fellow Veloren community members comfortable.
Everyone wants to get along and we are all here first and foremost because we
want to talk about making games. You will find that people will be eager to
assume good intent and forgive as long as you earn their trust.

The enforcement policies listed above apply to all official Veloren venues;
including all Veloren Discord channels; in-game chat; Gitlab and GitHub repositories under
Veloren; and any other social media platforms related to Veloren.

This Code of Conduct is based on the Amethyst Code of Conduct, available
[here](https://github.com/amethyst/amethyst/blob/master/CODE_OF_CONDUCT.md)
which is based on the Rust Code of Conduct, available
[here](https://www.rust-lang.org/conduct.html).